### Method

# GimpUi GradientSelectButton set_gradient

since: 2.4

#### Declaration [src]

    void
    gimp_gradient_select_button_set_gradient (
      GimpGradientSelectButton* button,
      const gchar* gradient_name
    )

#### Description [src]

Sets the current gradient for the gradient select button.

Available since: 2.4

#### Parameters

`gradient_name`

  Type: `const gchar*`

  Gradient name to set.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.